%define		pkgname	SQLite
%define		pkgversion 1.0.3
%define		phpversion %(php-config --version 2>/dev/null || echo 0)
%define		__pecl %{_bindir}/pecl

Name:		php-sqlite2
Version:	%{phpversion}
Release:	36.5
License:	GPL
Url:		http://pecl.php.net
Summary:	PHP SQLite2 extension
Source0:	http://pecl.php.net/get/SQLite-1.0.3.tgz
Patch0:		SQLite-arg3.patch
Patch1:		SQLite-utf8.patch
Group:		Development/Languages
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	php-pecl-%{pkgname} = %{version}
Provides:	any-php-sqlite2
Requires(post): %{__pecl}
Requires(postun): %{__pecl}
BuildRequires:	php-devel >= 5.2.0 php-pear,which

%description
PHP SQLite2 extension module.

%prep
%setup -n %{pkgname}-%{pkgversion}
%patch0
%patch1

%build
%{_bindir}/phpize
%configure --with-sqlite --with-sqlite-utf8 --with-php-config=%{_bindir}/php-config
%{__make} %{?_smp_mflags}


%install
%__make INSTALL_ROOT=%{buildroot} install

%{__mkdir_p} %{buildroot}%{pecl_xmldir}
%{__install} -m 644 ../package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/sqlite2.ini << 'EOF'
; Enable sqlite2 extension module
extension = sqlite.so
EOF


%if 0%{?pecl_install:1}
%post
%{pecl_install} %{pecl_xmldir}/%{name}.xml >/dev/null || : 
%endif

%if 0%{?pecl_uninstall:1}
%postun
if [ $1 -eq 0 ] ; then
    %{pecl_uninstall} %{pecl_name} >/dev/null || :
fi
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS README TODO
%config(noreplace) %{_sysconfdir}/php.d/sqlite2.ini
%{pecl_xmldir}/%{name}.xml
%{php_extdir}/sqlite.so

%changelog
* Wed Feb  2 2011 cs@linux-administrator.com
- initial package
- required by Plesk Sitebuilder
